注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

snoopyxdy的博客

https://github.com/DoubleSpout

 
 
 

日志

 
 

centOS安装node.js-v0.8.0  

2012-06-28 00:33:26|  分类: node |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
今天晚上有空打算体验一次node.js-v0.8.0版本,于是去官网下载了压缩包,登录虚拟机解压之后执行:
$ ./configure --prefix=/usr/local/node
结果出人意料,报错了:

File "./configure", line 261
    o['variables']['node_prefix'] = options.prefix if options.prefix else ''
                                                    ^
SyntaxError: invalid syntax

让人很郁闷,于是使用万能的google去搜了一把:在github上果然由一个位仁兄和我遇到相同的问题,作者回答也很干脆:
Obviously the build fails when using Python 2.4.3
因为CentOS自带的是Python 2.4.3所以我们需要将版本提升至2.6以上
执行以下命令,注意安装路径:

$ wget http://www.python.org/ftp/python/2.7.3/Python-2.7.3.tar.bz2
$ tar jxvf  Python2.7.3.tar.bz2
$ cd Python2.7.3
$ ./configure
$ make && make install
$ /usr/local/bin/python2.7 -V  (查看一下python的版本)
$ mv /usr/bin/python  /usr/bin/python2.4
$ ln -s /usr/local/Python-2.7.3/python /usr/bin/python
$ vi /usr/bin/yum (将原来的/usr/bin/python 改为 /usr/bin/python2.4)
$ python -V  (注意V要大写,显示当前python版本应该显示为2.7.3)

接下来我就可以进入node目录继续
$ ./configure --prefix=/usr/local/node
$ make && make install
注意:由于是虚拟机所以在安装node时可能需要修改下系统当前时间,不然openssl会出错
PS.苦逼我的256MB内存的虚拟机安装了近半小时。。。。尼玛啊!!!
$ date -s 2012-6-27 (设定一下系统的时间)







  评论这张
 
阅读(3069)| 评论(1)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2016